package com.jojubanking.boot.module.system.convert.mzdm;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.mzdm.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.mzdm.MzdmDO;

/**
 * 民族代码 Convert
 *
 * @author admin
 */
@Mapper
public interface MzdmConvert {

    MzdmConvert INSTANCE = Mappers.getMapper(MzdmConvert.class);

    MzdmDO convert(MzdmCreateReqVO bean);

    MzdmDO convert(MzdmUpdateReqVO bean);

    MzdmRespVO convert(MzdmDO bean);

    List<MzdmRespVO> convertList(List<MzdmDO> list);

    PageResult<MzdmRespVO> convertPage(PageResult<MzdmDO> page);

    List<MzdmExcelVO> convertList02(List<MzdmDO> list);

}
